/*This file is part of MySQLConnectus by Sergio Decherchi

 Copyright (C) 2004 Sergio Decherchi 

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation; either version 2 of 
 the License, or (at your option) any later version.
 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 GNU General Public License for more details (gpl.txt).
 You should have received a copy of the GNU General Public License 
 along with this program; if not, write to the Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 

 HISTORY
 ======
 *
 *<<Version 0.1>> MILESTONE
 *
 *--Base version.
 *
 *<<Version 0.2>> MILESTONE
 *
 *--Variables names all in English.
 *--Now tables are correctly shown.
 *--All frames now are internal frames.
 *--Splash screen added. 
 *--Sperimental reorder function added.
 *--Keywords are recognised by reorder function.
 *--LookAndFeel feature added. 
 *--Caret position always set on top.
 *--Caret color changes when the query is reordered red -> blue.
 *--Added support for db modification in reorder function.
 *
 *<<Version 0.3>> MILESTONE
 *
 *--Zip packet for Linux installing .
 *--Auto Installig WinRar packet with needed classes and batch files for windows enviroment.
 *--When new query, preset select,from,where or insert/update/delete.
 *--Code restyling.
 *--Web page help integrated in the help-on-line system.
 *--Memory optimization : 13% of more free memory and speed almost the same.
 *--Complete documentation provided. 
 *--Example files
 *--Query and result tables print feature. 
 *--Print not limited in pages.
 *--Script Connection File.
 *--Config.txt file for remembering the choosen theme and script access configuration.
 *--Reorder function with full query/modification support and partial for tables/trigger/assertions.
 *--Windows title set as file name.New file with a generic title, when saved title is updated.
 *--Code corrections.
 *--Options restyling.
 *--New Set Next Session feature and enable/disable automatic script execution.	
 *--New Auto Configuration window
 *--If Splash2.jpg is deleted the program doesn't crash
 *--Tables can be saved
 *--Table title set when opening saved tables
 *--Setting saved on exit by X. 
 *--Added icons on menus,toolbar and all windows
 *--Added popup menu on query window
 *--Added file filter and relative extensions for query,modification and tables.".qry":".mod":".dat"
 *--Added button Show relations.
 *--Tree Navigation System added.
 *--Fixed JTree vs JTable (ResultSet) bug.
 *--Customized JTree icons.
 
 *
 **<<Version 0.3.2>>
 *
 *--Error message fix
 *--Remote connection
 *--Multiple tables visualization
 *--All tables are buffered with BufferedResultSet
 *--Caching system
 *--Demo added
 *--Progress Bar added to splashscreen and to about window
 *--Script support remote connection
 *	
 **<<Version 0.3.3>>
 *
 *--Import capabilities added.
 *--Invalidate cache and rungc button on about window
 *--Log out button
 *
 *<<Version 0.3.4>>
 *	
 *--Log window.
 *--mod messages by windows eliminated.
 *--Avoided some NullPointerExceptions by console (only formal modification no really fix). 
 *--Ocean theme.		
 *--XML config file.
 *--Removed legacy compatibility, Java 1.5 needed.
 *--oldlog.txt and log.txt files store log data
 *--Comments on query/mod C style //
 *--Cancel button added
 *--About window modified
 *
 * <<Version 0.4.0>> MILESTONE
 * 
 *--Localization :Italian,English,Romanian,(soon Spanish,French,German)
 *--Some bug fix in import function
 *--Other several bug fix 
 *--Request for file overwrite  
 *--Export to TXT automatic .txt file saving
 *--Plug-in system Beanshell based
 *--Printing system strongly improved
 *--Syntax highlighting
 *--Some GUI improvements
 *--Comment style changed to "--" from "//"
 *--New ms windows installer
 *
 * TO DO 0.4.0 Release Candidate:
 * Traduci francese,spagnolo,tedesco
 * Definisci interfaccia plug-in e documentala
 * Fai plug-in esempio (Spedire un'e-mail di bug report)
 * Aggiorna la documentazione (BeanShell guida ai plug-in)
 * Rendi esplicita la scelta del linguaggio e in autoconfigurazione
 * Dai possibilit di caricare n plugin automaticamente al lancio del programma
 * Controlla compatibilit con linux
 * Find nel file di testo
 * Canali veloci sui files
 *   
 **KNOWN BUGS
 *==========
 *
 *
 *ROADMAP TO VERSION 0.5
 *======================
 *
 *
 * 
 */
package mysqlconnectus;

/**
 * <P>
 * Title: <B>MySQLConnectus 0.4.0 </B>
 * </P>
 * <P>
 * Last update 05/03/05 at 23:31
 * </P>
 * <P>
 * Description: <B>Connectus is a simple program that allows you to access in a
 * few steps to your MySQL DBMS. You can execute query or change your DB and
 * then showing the results </B>
 * </P>
 * 
 * @version 0.4.0
 * @author Sergio Decherchi
 *  
 */

//import java.util.*;

public class Connectus {

	public static void main(String[] argv) {
		MainFrame frame = new MainFrame();
		frame.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);

		//WITH THIS PROCEDURE YOU CAN FIND ALL AVAILABLE LOCALE
		
		/*		String[] lang=Locale.getISOCountries();
		for (int i=0;i<lang.length;i++)
		{
			System.out.print(lang[i]+", ");
			Locale local = new Locale(lang[i]);
			System.out.println(local.getDisplayName(local));
		}
		*/
		try {
			if (argv[0].equals("-demo"))
				frame.robot();
		} catch (ArrayIndexOutOfBoundsException aioebe) {
			//No command line parameters
		}
	}
}