/*
 * Created on 24-ott-2004 at 18.30.44 by SedekFx
 * 
 *This file is part of MySQLConnectus by Sergio Decherchi
 *
 *Copyright (C) 2004 Sergio Decherchi
 *
 *This program is free software; you can redistribute it 
 *and/or modify it under the terms of the GNU General Public License 
 *as published by the Free Software Foundation; either version 2 of 
 *the License, or (at your option) any later version.
 *This program is distributed in the hope that it will be useful, 
 *but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 *GNU General Public License for more details (gpl.txt).
 *You should have received a copy of the GNU General Public License 
 *along with this program; if not, write to the Free Software Foundation, 
 *Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */
package tools;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JInternalFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/** A log window */
public class LogWindow extends JInternalFrame {

	/** Text area */
	private JTextArea jta;

	/** Caret position */
	private int position = 0;

	/** Cancel button */
	private JButton cancel;

	/** Resource bundle for localization */
	private static ResourceBundle Messages=ResourceBundle.getBundle("Lang/messages");
	
	/** Deafault constructor */
	public LogWindow() {
		super();
	}

	/** Generally used constructor */
	public LogWindow(String text, Component c) {
		
		super(Messages.getString("LogWindow.0")); //$NON-NLS-1$
		cancel = new JButton(Messages.getString("LogWindow.1")); //$NON-NLS-1$
		cancel.addActionListener( new ActionListener() 
			
		{
			public void actionPerformed(ActionEvent avt)
			{
				jta.setText(""); //$NON-NLS-1$
				position=0;
				jta.setCaretPosition(position);
				
			}
			
		});
		setFrameIcon(new ImageIcon("Resources/JEditorPane.gif")); //$NON-NLS-1$
		if (text != null)
			jta = new JTextArea(text);
		else
			jta = new JTextArea();
		jta.setBackground(new Color(220,220,255));
		jta.setForeground(Color.BLACK);
		JScrollPane jsp = new JScrollPane(jta);
		JPanel jp = new JPanel();
		JPanel jpanel = new JPanel(new BorderLayout());
		jta.setEditable(false);
		jp.add(jsp);
		jpanel.add(cancel, BorderLayout.NORTH);
		getContentPane().add(jpanel, BorderLayout.WEST);
		getContentPane().add(jsp);
		Dimension dim = (Toolkit.getDefaultToolkit()).getScreenSize();
		setSize(dim.width - 10, 150);
		setLocation(0, dim.height - 270);
		show();

	}

	/**
	 * Add text to log window
	 * 
	 * @param msg
	 *                 The message to be shown
	 *  
	 */
	public void addText(String msg) {

		msg = (Messages.getString("LogWindow.4")).concat(msg); //$NON-NLS-1$
		jta.append(msg);
		position = position + msg.length();
		jta.setCaretPosition(position);
	}

}