package dbconnectivity;



/* This file is part of MySQLConnectus by Sergio Decherchi

 Copyright (C) 2004 Sergio Decherchi

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation; either version 2 of 
 the License, or (at your option) any later version.
 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 GNU General Public License for more details (gpl.txt).
 You should have received a copy of the GNU General Public License 
 along with this program; if not, write to the Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

/** Common Interface for DatabaseSource objects
 * @since version 0.3 (MySQLConnectus)
 * @version 0.2 */
public interface DatabaseConnector  {

   /**Return connection data
    *  @return connection data object is returned
    *  @since version 0.3.4 */
	public ConnectionData getConnectionData();
	/**
     * Used for achieving a connection to the Db. The exitus statement is in the
     * 
     * @return Exitus string
     */
    public abstract String access(String user, String password, String hostname);

    /** Close current connection */
    public abstract boolean disconnect();

    /**
     * Used to execute a query by a string that is query text
     * 
     * @return a BufferedResultSet is returned
     */
    public abstract BufferedResultSet executeQuery(String query);

    /** This method Read&Executes a connection script */
    public abstract boolean executeScript(String filename);

    /**
     * Used to execute a modification(UPDATE/SET/DELETE) by a string that is
     * modification text
     */
    public abstract boolean executeUpdein(String query,boolean warning);

}