/* This file is part of MySQLConnectus by Sergio Decherchi

 Copyright (C) 2004 Sergio Decherchi

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation; either version 2 of 
 the License, or (at your option) any later version.
 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 GNU General Public License for more details (gpl.txt).
 You should have received a copy of the GNU General Public License 
 along with this program; if not, write to the Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

package mysqlconnectus;

import javax.swing.tree.DefaultMutableTreeNode;

/** Icon for customized tree */
public class IconNode extends DefaultMutableTreeNode {

    /** Icon path */
    private String icon;

    /** Constructor for customized node */
    public IconNode(String text, String iconPath) {
        super(text);
        icon = iconPath;
    }

    /** This returns the icon path */
    public String getIcon() {
        return icon;
    }

    /** This set the icon path */
    public void setIcon(String iconPath) {
        icon = iconPath;
    }
}